Loading...
Searching...
No Matches
detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > > Struct Template Reference
Inheritance diagram for detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > >:

## Public Types

using | object_t = typename BasicJsonType::object_t

## Static Public Attributes

static constexpr bool | value

## Member Data Documentation

## value

template<typename BasicJsonType, typename CompatibleObjectType>

bool detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > >::value

staticconstexpr

Initial value:
=
is_constructible<typename object_t::key_type,
typename CompatibleObjectType::key_type>::value&&
is_constructible<typename object_t::mapped_type,
typename CompatibleObjectType::mapped_type>::value
detail::is_constructible
Definition json.hpp:3797

The documentation for this struct was generated from the following file:

- IO/nlohmann/json.hpp